Summary:     A fast WWW search engine for websites
Name:        mnogosearch
Version:     3.1.21
Release:     5.pp
License:     GPL
Group:       Indexing/Search
Source0:     http://www.%{name}.org/Download/%{name}-%{version}.tar.gz
Patch0:      %{name}-%{version}-udm_config.patch
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Lavtech.Com Corp.
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc openssl097 oracle-runtime >= 9.2
Provides:    %{name}.pp %{name}
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel oracle-runtime >= 9.2
ExclusiveOS: linux

%description
mnoGoSearch (formerly known as UdmSearch) is a full-featured Web
search engine which you can use to build search engines over HTTP,
HTTPS, FTP, and NTTP servers, local files, and database big text
fields. It supports Oracle, MySQL, PostgreSQL, miniSQL, Solid,
Virtuoso, InterBase, SAPDB, iODBC, EasySoft ODBC, and unixODBC
database backends. mnoGoSearch is also known to work with MS SQL,
SyBase, and Oracle through ODBC. It has text/html and text/plain
built-in support, and external parsers support for other document
types. An automatic language/charset guesser for more 70 language/
charset combinations is included, along with basic authorization
support, and you may index password-protected intranet HTTP servers
with proxy authorization support.


%package devel
Summary:     The development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the development libraries and
header files for use with %{name}.


%prep
%setup -q
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
./configure \
	--prefix=/usr                      \
	--sysconfdir=/etc/%{name}          \
	--localstatedir=/var/cache/%{name} \
	--mandir=/usr/share/man            \
	--enable-shared                    \
	--enable-static                    \
	--enable-syslog                    \
	--enable-linux-pthreads            \
	--enable-fast-tag                  \
	--enable-fast-cat                  \
	--enable-fast-site                 \
	--enable-phrase                    \
	--with-openssl=/usr                \
	--with-oracle8i


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/cache/%{name}/{raw,splitter,tree,cache}
mkdir -p $RPM_BUILD_ROOT/var/httpd/icons
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
install -m 644 misc/m-search.gif $RPM_BUILD_ROOT/var/httpd/icons
rm -rf $RPM_BUILD_ROOT/usr/doc


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc doc/*.txt doc/*.html
%doc %dir doc/samples
%doc %dir create/oracle
%dir /etc/%{name}
/etc/%{name}/*
/usr/bin/search.cgi
/usr/lib/*.so
/usr/sbin/*
/usr/share/man/man1/*
/usr/share/man/man5/*
%dir %attr(777,root,root) /var/cache/%{name}
%dir %attr(777,root,root) /var/cache/%{name}/*

%files devel
/usr/bin/udm-config
/usr/include/*
/usr/lib/*.*a


%changelog
* Wed Jul 21 2004 peter.pramberger@member.fsf.org
- now uses Oracle client 9.2

* Tue Jun 22 2004 peter.pramberger@member.fsf.org
- added missing sql scripts

* Fri Jun 18 2004 peter.pramberger@member.fsf.org
- created

